UgCS – Universal Ground Control Software

UgCS is a complete software to plan and fly drone survey missions, supporting most popular UAV platform, providing convenient tools for areal and linear surveys and enabling direct drone control.

 

Flexible licensing model and broad fleet management feature set makes UgCS suitable for organizations of different scale: from single professional operator to large enterprise with UAV department.

UgCS – Pro

$ 69.00$ 600.00
Learn More

For UAV professionals and land surveyors

Fully functional multi-drone ground control software for professional UAV mission planning. Photogrammetry tool, digital elevation model (DEM) and KML file import enables map customisation, ADS-B receiver support to ensure flight safety.

For companies operating a fleet of drones

Suitable for companies operating a fleet of different manufacturer drones, requiring a unifying ground station solution. ADS-B transponder support, multi-node deployment enables operating a central server with unlimited connection to UgCS universal control server.

Supported Drones and Autopilots

UgCS currently supports DJI: Phantom 4/4 Pro, Phantom 3, Phantom 2, Inspire 2, Inspire 1/1 Pro/Raw, Mavic Pro, A3, N3, Matrice 600/600 Pro, Matrice 200/210/210RTK, Matrice 100, A2, Naza-M v2, WooKong-M, Vision2+, Ace One; Ardupilot, Px4and other MAVLink compatibleYUNEEC: H520; MikrokopterMicropilotMicrodronesLockheedMartin: Kestrel, Indago.

UgCS System Requirements

Operating system:

    WINDOWS
    • Windows 7 with SP1 or later; Windows 8* / 64-bit

macOS

  • Mac OS X Maverick 10.9 or later* / 64-bit
    LINUX

  • Ubuntu 16.04 LTS / 64-bit

Graphics hardware

  • Graphics card with DirectX 9 support (shader model 2.0). Any card made since 2004 should work

Hard drive

  • 2 GB of free space

CPU

  • Core 2 Duo or Athlon X2 at 2.4 GHz

Network

  • TCP/IPv4 network stack

Memory

  • Minimum RAM: 2GB
  • Recommended RAM: 4GB or more

Screen resolution

  • Minimum supported screen resolution: 1024×768

*Please note that the software has not yet been tested on server versions of Windows and OS X. Windows Vista is not supported.